package thyyxxk.webserver.entity.casefrontsheet.request;

import lombok.Data;
import thyyxxk.webserver.entity.dictionary.CodeName;

import java.util.List;

@Data
public class ExportHistorySheets {
    private String start;
    private String end;
    private Boolean needAllDiagnoses;
    private Boolean needAllSurgeries;
    private List<CodeName> field;

    public Boolean needAllDiagnoses() {
        return null != needAllDiagnoses && needAllDiagnoses;
    }

    public Boolean needAllSurgeries() {
        return null != needAllSurgeries && needAllSurgeries;
    }
}
